
From: Victor Fusco <victor@cetuc.puc-rio.br>

Fix the sparse warning "implicit cast to nocast type"

Signed-off-by: Victor Fusco <victor@cetuc.puc-rio.br>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/slab.h |    3 ++-
 mm/slab.c            |    4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff -puN include/linux/slab.h~mm-slab-fix-sparse-warnings include/linux/slab.h
--- devel/include/linux/slab.h~mm-slab-fix-sparse-warnings	2005-08-21 23:49:54.000000000 -0700
+++ devel-akpm/include/linux/slab.h	2005-08-21 23:49:54.000000000 -0700
@@ -122,7 +122,8 @@ extern void kfree(const void *);
 extern unsigned int ksize(const void *);
 
 #ifdef CONFIG_NUMA
-extern void *kmem_cache_alloc_node(kmem_cache_t *, int flags, int node);
+extern void *kmem_cache_alloc_node(kmem_cache_t *,
+			unsigned int __nocast flags, int node);
 extern void *kmalloc_node(size_t size, unsigned int __nocast flags, int node);
 #else
 /*
diff -puN mm/slab.c~mm-slab-fix-sparse-warnings mm/slab.c
--- devel/mm/slab.c~mm-slab-fix-sparse-warnings	2005-08-21 23:49:54.000000000 -0700
+++ devel-akpm/mm/slab.c	2005-08-21 23:49:54.000000000 -0700
@@ -1719,7 +1719,7 @@ next:
 	cachep->objsize = size;
 
 	if (flags & CFLGS_OFF_SLAB)
-		cachep->slabp_cache = kmem_find_general_cachep(slab_size,0);
+		cachep->slabp_cache = kmem_find_general_cachep(slab_size, 0u);
 	cachep->ctor = ctor;
 	cachep->dtor = dtor;
 	cachep->name = name;
@@ -2847,7 +2847,7 @@ out:
  * New and improved: it will now make sure that the object gets
  * put on the correct node list so that there is no false sharing.
  */
-void *kmem_cache_alloc_node(kmem_cache_t *cachep, int flags, int nodeid)
+void *kmem_cache_alloc_node(kmem_cache_t *cachep, unsigned int __nocast flags, int nodeid)
 {
 	unsigned long save_flags;
 	void *ptr;
_
